/// <reference types="react" />
import { BaseComponent } from '../../Utilities';
import { IDetailsColumnProps } from './DetailsColumn.types';
/**
 * Component for rendering columns in a `DetailsList`.
 *
 * {@docCategory DetailsList}
 */
export declare class DetailsColumnBase extends BaseComponent<IDetailsColumnProps> {
    private _root;
    private _dragDropSubscription;
    private _classNames;
    render(): JSX.Element;
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(): void;
    private _onRenderColumnHeaderTooltip;
    private _onColumnClick(column, ev);
    private _getColumnDragDropOptions();
    private _hasAccessibleLabel();
    private _renderAccessibleLabel();
    private _onDragStart;
    private _onDragEnd;
    private _updateHeaderDragInfo;
    private _onColumnContextMenu(column, ev);
    private _onRootMouseDown;
}
